summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbartus2021-02-18 08:28:44 +0100
committerbartus2021-02-18 08:28:44 +0100
commit2384d793950e6760de8a5547813adcd7f01e0a96 (patch)
tree252c021f83c12ddd9f22cee73416c44b19887480
parentc65c943f0705f91566cd8cbff182ce3457e59c3f (diff)
downloadaur-2384d793950e6760de8a5547813adcd7f01e0a96.tar.gz
Fix opencolorio{,1} conflict
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD17
2 files changed, 16 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index af5123ed23b..07afc9e55af 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = blender-develop-git
pkgdesc = Development version of Blender (non-conflicting version)
- pkgver = 2.93.r103756.gc53022768b1
+ pkgver = 2.93.r103843.g450ea1b755c
pkgrel = 1
url = https://blender.org/
changelog = blender.changelog
@@ -25,7 +25,7 @@ pkgbase = blender-develop-git
depends = freetype2
depends = libxi
depends = openimageio-qfix
- depends = opencolorio
+ depends = opencolorio-qfix
depends = openvdb
depends = opencollada
depends = opensubdiv
diff --git a/PKGBUILD b/PKGBUILD
index cdd7273b6a7..35691b071c2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,10 +6,18 @@ _fragment=${FRAGMENT:-#branch=master}
# shellcheck disable=SC2206
[[ -v CUDA_ARCH ]] && _cuda_capability=(${CUDA_ARCH})
+# opencolorio=2 fix (add LD_LIBRRY_PATH or rpath to blender-2.93)
+_CMAKE_FLAGS+=( -DOSL_ROOT_DIR=/opt/osl
+ -DOPENIMAGEIO_ROOT_DIR=/opt/oiio
+ -DOPENCOLORIO_ROOT_DIR=/opt/ocio
+)
+
#some extra, unofficially supported stuff goes here:
((TRAVIS)) && _cuda_capability+=(sm_50 sm_52 sm_60 sm_61 sm_70 sm_75) # Travis memory limit is not enough to build for arch 3.x.
_CMAKE_FLAGS+=( -DWITH_ALEMBIC_HDF5=ON )
-((DISABLE_USD)) || {
+((DISABLE_USD)) && {
+ _CMAKE_FLAGS+=( -DWITH_USD=OFF )
+} || {
_CMAKE_FLAGS+=( -DWITH_USD=ON
-DUSD_ROOT=/usr )
depends+=( "usd=20.05" )
@@ -19,14 +27,14 @@ _CMAKE_FLAGS+=( -DWITH_ALEMBIC_HDF5=ON )
((DISABLE_CUDA)) && optdepends+=('cuda: CUDA support in Cycles') || { makedepends+=('cuda') ; ((DISABLE_OPTIX)) || makedepends+=('optix>=7.0'); }
pkgname=blender-develop-git
-pkgver=2.93.r103756.gc53022768b1
+pkgver=2.93.r103843.g450ea1b755c
pkgrel=1
pkgdesc="Development version of Blender (non-conflicting version)"
changelog=blender.changelog
arch=('i686' 'x86_64')
url="https://blender.org/"
depends+=('alembic' 'embree' 'libgl' 'python' 'python-numpy' 'openjpeg2'
- 'ffmpeg' 'fftw' 'openal' 'freetype2' 'libxi' 'openimageio-qfix' 'opencolorio'
+ 'ffmpeg' 'fftw' 'openal' 'freetype2' 'libxi' 'openimageio-qfix' 'opencolorio-qfix'
'openvdb' 'opencollada' 'opensubdiv' 'openshadinglanguage-qfix' 'libtiff' 'libpng')
depends+=('openimagedenoise')
makedepends+=('git' 'cmake' 'boost' 'mesa' 'llvm')
@@ -114,6 +122,9 @@ package() {
export DESTDIR="$pkgdir"
if ((DISABLE_NINJA)); then make -C "$srcdir/build" install; else ninja -C "$srcdir/build" install; fi
+ #undo rpath clean in cmake_install ( faster than patching CMakeLists.txt)
+ cp "$srcdir/build/bin/blender" "$pkgdir/usr/bin/blender"
+
msg "add -${_suffix} suffix to desktop shortcut"
sed -i "s/=blender/=blender-${_suffix}/g" "${pkgdir}/usr/share/applications/blender.desktop"
sed -i "s/=Blender/=Blender-${_suffix}/g" "${pkgdir}/usr/share/applications/blender.desktop"